## python-pylibacl 0.4.0

=== Makefile ===
.PHONY: doc test

all: doc test

posix1e.so: acl.c
	./setup.py build_ext --inplace

doc: posix1e.so
	epydoc -q -o html --name pylibacl \
		--url http://pylibacl.sourceforge.net/ \
		--show-frames \
		--docformat epytext \
		--no-sourcecode \
		posix1e

test:
	python2.4 ./setup.py test
	python2.5 ./setup.py test

## python-pylibacl 0.5.0

=== Makefile ===
--- 
+++ 
@@ -14,5 +14,9 @@
 		posix1e
 
 test:
-	python2.4 ./setup.py test
-	python2.5 ./setup.py test
+	for ver in 2.4 2.5 2.6 3.0 3.1; do \
+	  if type python$$ver >/dev/null; then \
+	    echo Testing with python$$ver; \
+	    python$$ver ./setup.py test; \
+          fi; \
+	done

=== debian/changelog ===
python-pylibacl (0.5.0-3ubuntu1) precise; urgency=low

  * Build using dh_python2

 -- Matthias Klose <doko@ubuntu.com>  Sat, 17 Dec 2011 14:22:10 +0000

python-pylibacl (0.5.0-3build1) natty; urgency=low

  * Rebuild to add support for python 2.7.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Dec 2010 00:11:58 +0000

python-pylibacl (0.5.0-3) unstable; urgency=low

  * Remove old Replaces/Breaks

 -- Iustin Pop <iustin@debian.org>  Tue, 17 Aug 2010 23:18:13 +0200

python-pylibacl (0.5.0-2) unstable; urgency=low

  * Apply a modified version of the Ubuntu patch for enabling debug
    packages, thanks Bhavani Shankar R (Closes: #591367).
  * Standards Version 3.9.1 (Use Breaks instead of Conflicts).

 -- Iustin Pop <iustin@debian.org>  Thu, 05 Aug 2010 15:50:28 -0400

python-pylibacl (0.5.0-1) unstable; urgency=low

  * New upstream release
  * Switch to my Debian address and remove DM-Upload-Allowed
  * Standards version 3.8.4 (no changes needed)
  * Switch to dpkg-source 3.0 (quilt) format

 -- Iustin Pop <iustin@debian.org>  Wed, 03 Mar 2010 01:15:18 +0100

python-pylibacl (0.4.0-3) unstable; urgency=low

  * Fixes "FTBFS on Debian GNU/Hurd [Patch]" (added patch by
    bdefreese@debian.org) (Closes: #534123)
  * Fixed lintian copyright format warning
  * Added Vcs-* and DM-* fields to debian/control
  * Update standard version to 3.8.2 (no changes required)

 -- Iustin Pop <iusty@k1024.org>  Tue, 23 Jun 2009 23:01:01 +0200

python-pylibacl (0.4.0-2) unstable; urgency=low

  * Removed debian/pycompat (not needed with recent pysupport)
  * Fixed clean rule (Closes: #488763)

 -- Iustin Pop <iusty@k1024.org>  Tue, 01 Jul 2008 11:24:38 +0200

python-pylibacl (0.4.0-1) unstable; urgency=low

  * New Upstream Version, with license changed from GPL to LGPL
  * Update to Policy 3.8.0
  * Update the rules file for newer pysupport version
  * Update debhelper compat level to 7
  * Added watch file

 -- Iustin Pop <iusty@k1024.org>  Sun, 29 Jun 2008 00:40:25 +0200

python-pylibacl (0.3.0-1) unstable; urgency=low

  * New Upstream Version (more functionality implemented from libacl)
  * Fix lintian warnings

 -- Iustin Pop <iusty@k1024.org>  Tue, 26 Feb 2008 21:59:12 +0100

python-pylibacl (0.2.2-1) unstable; urgency=low

  * New upstream release (add support for building on GNU/kFreeBSD, removes
    some warnings) (Closes: #401316).
  * Acknowledge NMU by Pierre Habouzit. Thanks! (Closes: #373342).

 -- Iustin Pop <iusty@k1024.org>  Sun,  3 Dec 2006 13:56:24 +0100

python-pylibacl (0.2.1-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Update package for the last python policy (Closes: #373342).

 -- Pierre Habouzit <madcoder@debian.org>  Sun,  2 Jul 2006 15:07:24 +0200

python-pylibacl (0.2.1-3) unstable; urgency=low

  * Stop building python 2.2 packages (closes: #351149)
  * Start building python 2.4 packages
  * Updated standards version to 3.6.2 (no changes)
  * Updated FSF address in copyright file

 -- Iustin Pop <iusty@k1024.org>  Wed, 22 Feb 2006 13:13:14 +0200

python-pylibacl (0.2.1-2) unstable; urgency=low

  * Fixed missing dependency on python (closes: #258483)
  * Updates to standards version 3.6.1

 -- Iustin Pop <iusty@k1024.org>  Sun, 11 Jul 2004 02:14:01 +0300

python-pylibacl (0.2.1-1) unstable; urgency=low

  * Initial Release.

 -- Iustin Pop <iusty@k1024.org>  Tue, 16 Sep 2003 21:49:37 +0300

=== debian/control ===
Source: python-pylibacl
Section: python
Priority: optional
Maintainer: Iustin Pop <iustin@debian.org>
Build-Depends: debhelper (>= 7),
 python (>= 2.6.6-3~), python-all-dev (>= 2.6.2), python-all-dbg,
 libacl1-dev, python-setuptools, python-epydoc
Standards-Version: 3.9.1
Homepage: http://pylibacl.sourceforge.net/
Vcs-Browser: http://git.k1024.org/debian-pylibacl.git
Vcs-Git: git://git.k1024.org/debian-pylibacl.git

Package: python-pylibacl
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Suggests: python-pylibacl-dbg
Description: module for manipulating POSIX.1e ACLs
 pylibacl is a Python interface to the libacl library. It allows
 manipulation of the POSIX.1e-compliant filesystem ACLs present
 in some operating systems (GNU/Linux included).

Package: python-pylibacl-dbg
Priority: extra
Section: debug
Architecture: any
Depends: python-pylibacl (= ${binary:Version}), python-dbg,
 ${shlibs:Depends}, ${misc:Depends}
Description: module for manipulating POSIX.1e ACLs (debug extension)
 pylibacl is a Python interface to the libacl library. It allows
 manipulation of the POSIX.1e-compliant filesystem ACLs present
 in some operating systems (GNU/Linux included).
 .
 This package contains the extension built for the Python debug interpreter.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

PYVERS := $(shell pyversions -vr)

PKGROOT=debian/python-pylibacl
DBGROOT=debian/python-pylibacl-dbg

build: $(PYVERS:%=build-python%) build-indep
	touch $@

build-python%:
	python$* setup.py build
	python$*-dbg setup.py build
	touch $@

build-indep:
	make doc
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep #CONFIGURE-STAMP#
	rm -rf build html
	rm -f posix1e.so
	rm -f $(PYVERS:%=build-python%)
	dh_clean

install: build $(PYVERS:%=install-python%)
	find $(DBGROOT) ! -type d ! -name '*_d.so' | xargs rm -f
	find $(DBGROOT) -depth -empty -print0|xargs -r0 rmdir

install-python%:
	python$* setup.py install --root $(PKGROOT) --install-layout=deb
	python$*-dbg setup.py install --root $(DBGROOT) --install-layout=deb

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_strip -ppython-pylibacl --dbg-package=python-pylibacl-dbg
	rm -rf $(DBGROOT)/usr/share/doc/python-pylibacl-dbg
	ln -s python-pylibacl $(DBGROOT)/usr/share/doc/python-pylibacl-dbg
	dh_compress -X.js
	dh_fixperms
	dh_python2
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture independant packages here.
binary-indep: build install
# Nothing to do

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch configure

=== debian/watch ===
# format version number, currently 3; this line is compulsory!
version=3

# the package is located on sourceforge
http://sf.net/pylibacl/pylibacl-(.+)\.tar\.gz

## python-pylibacl 0.5.1

=== Makefile ===
SPHINXOPTS    = -W
SPHINXBUILD   = sphinx-build
DOCDIR        = doc
DOCHTML       = $(DOCDIR)/html
DOCTREES      = $(DOCDIR)/doctrees
ALLSPHINXOPTS = -d $(DOCTREES) $(SPHINXOPTS) $(DOCDIR)

MODNAME = posix1e.so
RSTFILES = doc/index.rst doc/module.rst NEWS README doc/conf.py

all: doc test

$(MODNAME): acl.c
	./setup.py build_ext --inplace

$(DOCHTML)/index.html: $(MODNAME) $(RSTFILES)
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(DOCHTML)
	touch $@

doc: $(DOCHTML)/index.html

test:
	for ver in 2.4 2.5 2.6 2.7 3.0 3.1 3.2; do \
	  if type python$$ver >/dev/null; then \
	    echo Testing with python$$ver; \
	    python$$ver ./setup.py test; \
          fi; \
	done

clean:
	rm -rf $(DOCHTML) $(DOCTREES)
	rm -f $(MODNAME)
	rm -rf build

.PHONY: doc test clean

=== debian/changelog ===
python-pylibacl (0.5.1-1.1build4) trusty; urgency=medium

  * No-change rebuild to drop Python 3.3 support.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Mar 2014 15:28:36 +0000

python-pylibacl (0.5.1-1.1build3) trusty; urgency=medium

  * Rebuild for python3.4 as a supported python version.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 04 Jan 2014 18:32:39 +0000

python-pylibacl (0.5.1-1.1build2) raring; urgency=low

  * Rebuild to drop python3.2 provides.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 07 Nov 2012 23:00:28 +0000

python-pylibacl (0.5.1-1.1build1) raring; urgency=low

  * No-change upload to build for python3.3.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Oct 2012 17:30:05 +0200

python-pylibacl (0.5.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Drop python3-sphinx as an alternate build-depend to python-sphinx to fix
    FTBFS (Closes: #680858)
    - The package only builds and installs html documentation for the python
      version anyway, so python3-sphinx as a build-dep is clearly wrong

 -- Scott Kitterman <scott@kitterman.com>  Mon, 16 Jul 2012 14:34:07 -0400

python-pylibacl (0.5.1-1) unstable; urgency=low

  * New upstream version: bugfixes for refcount leaks and possible
    NULL-pointer dereferences
  * Add packages for Python3
  * Switch from python-support to dh_python2/dh_python3
  * Standards Version 3.9.3 (no changes needed)

 -- Iustin Pop <iustin@debian.org>  Sun, 13 May 2012 22:19:00 +0200

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,21 @@
 Priority: optional
 Maintainer: Iustin Pop <iustin@debian.org>
 Build-Depends: debhelper (>= 7),
- python (>= 2.6.6-3~), python-all-dev (>= 2.6.2), python-all-dbg,
- libacl1-dev, python-setuptools, python-epydoc
-Standards-Version: 3.9.1
-Homepage: http://pylibacl.sourceforge.net/
+ python (>= 2.6.6-3~), python-all-dev (>= 2.6.6-3~), python-all-dbg,
+ python3-all, python3-all-dev, python3-all-dbg,
+ libacl1-dev, python-setuptools, python3-setuptools,
+ python-sphinx (>= 1.0.7+dfsg)
+Standards-Version: 3.9.3
+Homepage: http://pylibacl.k1024.org/
 Vcs-Browser: http://git.k1024.org/debian-pylibacl.git
 Vcs-Git: git://git.k1024.org/debian-pylibacl.git
+X-Python-Version: >= 2.4
+X-Python3-Version: >= 3.0
 
 Package: python-pylibacl
 Architecture: any
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends},
+ ${sphinxdoc:Depends}
 Provides: ${python:Provides}
 Suggests: python-pylibacl-dbg
 Description: module for manipulating POSIX.1e ACLs
@@ -31,4 +36,33 @@
  manipulation of the POSIX.1e-compliant filesystem ACLs present
  in some operating systems (GNU/Linux included).
  .
- This package contains the extension built for the Python debug interpreter.
+ This package contains the extension built for the Python debug
+ interpreter.
+
+Package: python3-pylibacl
+Architecture: any
+Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends},
+ ${sphinxdoc:Depends}
+Provides: ${python3:Provides}
+Suggests: python3-pylibacl-dbg
+Description: module for manipulating POSIX.1e ACLs (Python3 version)
+ pylibacl is a Python interface to the libacl library. It allows
+ manipulation of the POSIX.1e-compliant filesystem ACLs present
+ in some operating systems (GNU/Linux included).
+ .
+ This package contains the extension build for the Python3
+ interpreter.
+
+Package: python3-pylibacl-dbg
+Priority: extra
+Section: debug
+Architecture: any
+Depends: python3-pylibacl (= ${binary:Version}), python3-dbg,
+ ${shlibs:Depends}, ${misc:Depends}
+Description: module for manipulating POSIX.1e ACLs (Python3 debug extension)
+ pylibacl is a Python interface to the libacl library. It allows
+ manipulation of the POSIX.1e-compliant filesystem ACLs present
+ in some operating systems (GNU/Linux included).
+ .
+ This package contains the extension built for the Python3 debug
+ interpreter.

=== debian/rules ===
--- 
+++ 
@@ -12,11 +12,18 @@
 export DH_OPTIONS
 
 PYVERS := $(shell pyversions -vr)
+PY3VERS := $(shell py3versions -vr)
 
 PKGROOT=debian/python-pylibacl
 DBGROOT=debian/python-pylibacl-dbg
+PKG3ROOT=debian/python3-pylibacl
+DBG3ROOT=debian/python3-pylibacl-dbg
 
-build: $(PYVERS:%=build-python%) build-indep
+build: build-arch build-indep
+	touch $@
+
+build-arch: $(PYVERS:%=build-python%) $(PY3VERS:%=build-python%)
+	$(MAKE) doc
 	touch $@
 
 build-python%:
@@ -25,25 +32,29 @@
 	touch $@
 
 build-indep:
-	make doc
 	touch $@
 
 clean:
 	dh_testdir
 	dh_testroot
-	rm -f build-arch-stamp build-indep #CONFIGURE-STAMP#
-	rm -rf build html
-	rm -f posix1e.so
+	rm -f build-indep build-arch
+	$(MAKE) clean
 	rm -f $(PYVERS:%=build-python%)
+	rm -f $(PY3VERS:%=build-python%)
+	rm -rf pylibacl.egg-info
 	dh_clean
 
-install: build $(PYVERS:%=install-python%)
+install: build $(PYVERS:%=install-python%) $(PY3VERS:%=install-python%)
 	find $(DBGROOT) ! -type d ! -name '*_d.so' | xargs rm -f
 	find $(DBGROOT) -depth -empty -print0|xargs -r0 rmdir
 
-install-python%:
-	python$* setup.py install --root $(PKGROOT) --install-layout=deb
-	python$*-dbg setup.py install --root $(DBGROOT) --install-layout=deb
+install-python2%:
+	python2$* setup.py install --root $(PKGROOT) --install-layout=deb
+	python2$*-dbg setup.py install --root $(DBGROOT) --install-layout=deb
+
+install-python3%:
+	python3$* setup.py install --root $(PKG3ROOT) --install-layout=deb
+	python3$*-dbg setup.py install --root $(DBG3ROOT) --install-layout=deb
 
 # Build architecture-dependent files here.
 binary-arch: build install
@@ -51,12 +62,17 @@
 	dh_testroot
 	dh_installchangelogs
 	dh_installdocs
+	dh_sphinxdoc
 	dh_strip -ppython-pylibacl --dbg-package=python-pylibacl-dbg
+	dh_strip -ppython3-pylibacl --dbg-package=python3-pylibacl-dbg
 	rm -rf $(DBGROOT)/usr/share/doc/python-pylibacl-dbg
 	ln -s python-pylibacl $(DBGROOT)/usr/share/doc/python-pylibacl-dbg
+	rm -rf $(DBG3ROOT)/usr/share/doc/python3-pylibacl-dbg
+	ln -s python3-pylibacl $(DBG3ROOT)/usr/share/doc/python3-pylibacl-dbg
 	dh_compress -X.js
 	dh_fixperms
 	dh_python2
+	dh_python3
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol

=== debian/watch ===
# format version number, currently 3; this line is compulsory!
version=3

# the package is located on github
https://github.com/iustin/pylibacl/downloads \
  /downloads/iustin/pylibacl/pylibacl-(.+).tar.gz

## python-pylibacl 0.5.2

=== Makefile ===
--- 
+++ 
@@ -19,17 +19,24 @@
 
 doc: $(DOCHTML)/index.html
 
+dist:
+	fakeroot ./setup.py sdist
+
 test:
-	for ver in 2.4 2.5 2.6 2.7 3.0 3.1 3.2; do \
+	@for ver in 2.4 2.5 2.6 2.7 3.0 3.1 3.2 3.3 3.4; do \
 	  if type python$$ver >/dev/null; then \
 	    echo Testing with python$$ver; \
-	    python$$ver ./setup.py test; \
-          fi; \
+	    python$$ver ./setup.py test -q; \
+	  fi; \
 	done
+	@if type pypy >/dev/null; then \
+	  echo Testing with pypy; \
+	  pypy ./setup.py test -q; \
+	fi
 
 clean:
 	rm -rf $(DOCHTML) $(DOCTREES)
 	rm -f $(MODNAME)
 	rm -rf build
 
-.PHONY: doc test clean
+.PHONY: doc test clean dist

=== debian/changelog ===
python-pylibacl (0.5.2-2build2) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 18 Jan 2016 20:43:32 +0000

python-pylibacl (0.5.2-2build1) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 24 Jul 2015 22:28:11 +0000

python-pylibacl (0.5.2-2) unstable; urgency=medium

  * Fix building with Sphinx 1.3 (Closes: #787172).

 -- Iustin Pop <iustin@debian.org>  Mon, 29 Jun 2015 21:49:45 +0200

python-pylibacl (0.5.2-1) unstable; urgency=medium

  * New minor upstream release: only fixes to unittests
  * Update watch file to point at the new downloads location
  * Standards version 3.9.5 (no changes needed)

 -- Iustin Pop <iustin@debian.org>  Mon, 21 Jul 2014 05:22:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: python-pylibacl
 Section: python
 Priority: optional
-Maintainer: Iustin Pop <iustin@debian.org>
-Build-Depends: debhelper (>= 7),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Iustin Pop <iustin@debian.org>
+Build-Depends: debhelper (>= 7), dh-python,
  python (>= 2.6.6-3~), python-all-dev (>= 2.6.6-3~), python-all-dbg,
  python3-all, python3-all-dev, python3-all-dbg,
  libacl1-dev, python-setuptools, python3-setuptools,
- python-sphinx (>= 1.0.7+dfsg)
-Standards-Version: 3.9.3
+ python-sphinx (>= 1.0.7+dfsg) | python3-sphinx
+Standards-Version: 3.9.6
 Homepage: http://pylibacl.k1024.org/
 Vcs-Browser: http://git.k1024.org/debian-pylibacl.git
 Vcs-Git: git://git.k1024.org/debian-pylibacl.git
@@ -50,7 +51,7 @@
  manipulation of the POSIX.1e-compliant filesystem ACLs present
  in some operating systems (GNU/Linux included).
  .
- This package contains the extension build for the Python3
+ This package contains the extension built for the Python3
  interpreter.
 
 Package: python3-pylibacl-dbg

=== debian/rules ===
--- 
+++ 
@@ -46,7 +46,7 @@
 
 install: build $(PYVERS:%=install-python%) $(PY3VERS:%=install-python%)
 	find $(DBGROOT) ! -type d ! -name '*_d.so' | xargs rm -f
-	find $(DBGROOT) -depth -empty -print0|xargs -r0 rmdir
+	find $(DBGROOT) -depth -empty -print0 | xargs -r0 rmdir
 
 install-python2%:
 	python2$* setup.py install --root $(PKGROOT) --install-layout=deb

## python-pylibacl 0.5.3

=== Makefile ===
--- 
+++ 
@@ -37,6 +37,7 @@
 clean:
 	rm -rf $(DOCHTML) $(DOCTREES)
 	rm -f $(MODNAME)
+	rm -f *.so
 	rm -rf build
 
 .PHONY: doc test clean dist

=== debian/changelog ===
python-pylibacl (0.5.3-1build2) artful; urgency=medium

  * No change rebuild to drop Python 3.5 support.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 04 Aug 2017 18:55:29 +1200

python-pylibacl (0.5.3-1build1) artful; urgency=medium

  * No change rebuild to add Python 3.6 support.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 12 May 2017 14:53:31 +1200

python-pylibacl (0.5.3-1) unstable; urgency=medium

  * Imported Upstream version 0.5.3; main changes:
    - improve FreeBSD support
    - fix qualifier overflow issues due to wrong types
  * Improve hardening of the package (all except pie, which breaks the
    build)
  * Switch debian/copyright to dep5
  * Switch debian packaging repo over to alioth
  * Switch build system to dh and pybuild
  * Split documentation into separate package, in order to reduce the
    dependencies for the python2 package
  * Add autopkg tests

 -- Iustin Pop <iustin@debian.org>  Sun, 15 May 2016 05:45:03 +0200

=== debian/control ===
Source: python-pylibacl
Section: python
Priority: optional
Maintainer: Iustin Pop <iustin@debian.org>
Build-Depends: debhelper (>= 9), dh-python,
 python (>= 2.6.6-3~), python-all-dev (>= 2.6.6-3~), python-all-dbg,
 python3-all, python3-all-dev, python3-all-dbg,
 libacl1-dev, python-setuptools, python3-setuptools,
 python-sphinx (>= 1.0.7+dfsg) | python3-sphinx
Standards-Version: 3.9.8
Homepage: http://pylibacl.k1024.org/
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/python-pylibacl.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/python-pylibacl.git
X-Python-Version: >= 2.4
X-Python3-Version: >= 3.0

Package: python-pylibacl
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Suggests: python-pylibacl-dbg, python-pylibacl-doc
Description: module for manipulating POSIX.1e ACLs
 pylibacl is a Python interface to the libacl library. It allows
 manipulation of the POSIX.1e-compliant filesystem ACLs present
 in some operating systems (GNU/Linux included).
 .
 This package contains the library for Python 2.

Package: python-pylibacl-dbg
Section: debug
Priority: extra
Architecture: any
Depends: python-pylibacl (= ${binary:Version}), python-dbg, ${shlibs:Depends},
 ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
Description: module for manipulating POSIX.1e ACLs (debug extension)
 pylibacl is a Python interface to the libacl library. It allows
 manipulation of the POSIX.1e-compliant filesystem ACLs present
 in some operating systems (GNU/Linux included).
 .
 This package contains the library for the Python 2 debug interpreter.

Package: python3-pylibacl
Architecture: any
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${python3:Provides}
Suggests: python3-pylibacl-dbg, python-pylibacl-doc
Description: module for manipulating POSIX.1e ACLs (Python3 version)
 pylibacl is a Python interface to the libacl library. It allows
 manipulation of the POSIX.1e-compliant filesystem ACLs present
 in some operating systems (GNU/Linux included).
 .
 This package contains the library for Python 3.

Package: python3-pylibacl-dbg
Section: debug
Priority: extra
Architecture: any
Depends: python3-pylibacl (= ${binary:Version}), python3-dbg,
 ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Provides: ${python3:Provides}
Description: module for manipulating POSIX.1e ACLs (Python3 debug extension)
 pylibacl is a Python interface to the libacl library. It allows
 manipulation of the POSIX.1e-compliant filesystem ACLs present
 in some operating systems (GNU/Linux included).
 .
 This package contains the library for the Python 3 debug interpreter.

Package: python-pylibacl-doc
Architecture: all
Section: doc
Replaces: python-pylibacl (<< 0.5.3-1)
Breaks: python-pylibacl (<< 0.5.3-1)
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: module for manipulating POSIX.1e ACLs (documentation)
 pylibacl is a Python interface to the libacl library. It allows
 manipulation of the POSIX.1e-compliant filesystem ACLs present
 in some operating systems (GNU/Linux included).
 .
 This package contains the HTML documentation for the library.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

export PYBUILD_NAME = pylibacl
export PYBUILD_DISABLE = test

export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

# Also build the documentation
override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' make doc

# ... and clean it
override_dh_auto_clean:
	dh_auto_clean
	$(MAKE) clean

override_dh_strip:
	dh_strip -ppython-pylibacl --dbg-package=python-pylibacl-dbg
	dh_strip -ppython3-pylibacl --dbg-package=python3-pylibacl-dbg

override_dh_installdocs:
	dh_installdocs --link-doc=python-pylibacl -ppython-pylibacl-dbg
	dh_installdocs --link-doc=python3-pylibacl -ppython3-pylibacl-dbg
	dh_installdocs -A --remaining-packages README

override_dh_installchangelogs:
	dh_installchangelogs -A NEWS

=== debian/tests/control ===
Tests: simple run-testsuite-if-acls-enabled
Depends: @, acl
Restrictions: allow-stderr

=== debian/watch ===
# format version number, currently 3; this line is compulsory!
version=3

# the package is located on my own site, github deprecated downloads
opts=pgpsigurlmangle=s/$/.asc/ \
  http://pylibacl.k1024.org/downloads/pylibacl-(.+).tar.gz

## python-pylibacl 0.5.3-1build2+10.0trisquel1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-SPHINXOPTS    = -W
+SPHINXOPTS    =
 SPHINXBUILD   = sphinx-build
 DOCDIR        = doc
 DOCHTML       = $(DOCDIR)/html

=== debian/changelog ===
python-pylibacl (0.5.3-1build2+10.0trisquel1) nabia-backports; urgency=medium

  * Forward-ported from bionic

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 24 Sep 2021 19:43:10 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  python (>= 2.6.6-3~), python-all-dev (>= 2.6.6-3~), python-all-dbg,
  python3-all, python3-all-dev, python3-all-dbg,
  libacl1-dev, python-setuptools, python3-setuptools,
- python-sphinx (>= 1.0.7+dfsg) | python3-sphinx
+ python3-sphinx
 Standards-Version: 3.9.8
 Homepage: http://pylibacl.k1024.org/
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/python-pylibacl.git

## python-pylibacl 0.5.4

=== Makefile ===
PYTHON        = python3
SPHINXOPTS    = -W
SPHINXBUILD   = $(PYTHON) -m sphinx
DOCDIR        = doc
DOCHTML       = $(DOCDIR)/html
DOCTREES      = $(DOCDIR)/doctrees
ALLSPHINXOPTS = -d $(DOCTREES) $(SPHINXOPTS) $(DOCDIR)

MODNAME = posix1e.so
RSTFILES = doc/index.rst doc/module.rst NEWS README.rst doc/conf.py

all: doc test

$(MODNAME): acl.c
	$(PYTHON) ./setup.py build_ext --inplace

$(DOCHTML)/index.html: $(MODNAME) $(RSTFILES) acl.c
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(DOCHTML)
	touch $@

doc: $(DOCHTML)/index.html

dist:
	fakeroot $(PYTHON) ./setup.py sdist

test:
	@for ver in 2.7 3.0 3.1 3.2 3.3 3.4 3.5 3.6 3.7; do \
	  for flavour in "" "-dbg"; do \
	    if type python$$ver$$flavour >/dev/null; then \
	      echo Testing with python$$ver$$flavour; \
	      python$$ver$$flavour ./setup.py test -q; \
	    fi; \
	  done; \
	done; \
	for pp in pypy pypy3; do \
	  if type $$pp >/dev/null; then \
	    echo Testing with $$pp; \
	    $$pp ./setup.py test -q; \
	  fi; \
	done

coverage:
	$(MAKE) clean
	$(MAKE) test CFLAGS="-coverage"
	lcov --capture --directory . --output-file coverage.info
	genhtml coverage.info --output-directory out

clean:
	rm -rf $(DOCHTML) $(DOCTREES)
	rm -f $(MODNAME)
	rm -f *.so
	rm -rf build

.PHONY: doc test clean dist coverage

=== debian/changelog ===
python-pylibacl (0.5.4-2) unstable; urgency=medium

  * Drop python2 support; Closes: #938073

 -- Sandro Tosi <morph@debian.org>  Tue, 17 Mar 2020 11:54:20 -0400

python-pylibacl (0.5.4-1) unstable; urgency=medium

  * New upstream release, switching build system to Python 3.

 -- Iustin Pop <iustin@debian.org>  Thu, 14 Nov 2019 12:25:21 +0100

python-pylibacl (0.5.3-2) unstable; urgency=medium

  * Refresh packaging for upcoming release:
    - switch Vcs URLs to Salsa
    - switch watch file and copyright URLs to https
    - update standards version (remove 'extra' priority)
    - drop obsolete Xs-Python* headers
    - add Rules-Requires-Root: no
    - switch to debhelper compat level 12
  * Do a source-full upload to include upstream tarball signature in the
    archive.

 -- Iustin Pop <iustin@debian.org>  Thu, 03 Jan 2019 10:16:25 +0100

=== debian/control ===
Source: python-pylibacl
Section: python
Priority: optional
Maintainer: Iustin Pop <iustin@debian.org>
Build-Depends: debhelper-compat (= 12), dh-python,
 python3-all, python3-all-dev, python3-all-dbg,
 libacl1-dev, python-setuptools, python3-setuptools,
 python3-sphinx
Standards-Version: 4.4.1
Homepage: http://pylibacl.k1024.org/
Vcs-Browser: https://salsa.debian.org/debian/python-pylibacl
Vcs-Git: https://salsa.debian.org/debian/python-pylibacl.git
Rules-Requires-Root: no

Package: python3-pylibacl
Architecture: any
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${python3:Provides}
Suggests: python3-pylibacl-dbg, python-pylibacl-doc
Description: module for manipulating POSIX.1e ACLs (Python3 version)
 pylibacl is a Python interface to the libacl library. It allows
 manipulation of the POSIX.1e-compliant filesystem ACLs present
 in some operating systems (GNU/Linux included).
 .
 This package contains the library for Python 3.

Package: python3-pylibacl-dbg
Section: debug
Architecture: any
Depends: python3-pylibacl (= ${binary:Version}), python3-dbg,
 ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Provides: ${python3:Provides}
Description: module for manipulating POSIX.1e ACLs (Python3 debug extension)
 pylibacl is a Python interface to the libacl library. It allows
 manipulation of the POSIX.1e-compliant filesystem ACLs present
 in some operating systems (GNU/Linux included).
 .
 This package contains the library for the Python 3 debug interpreter.

Package: python-pylibacl-doc
Architecture: all
Section: doc
Replaces: python-pylibacl (<< 0.5.3-1)
Breaks: python-pylibacl (<< 0.5.3-1)
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: module for manipulating POSIX.1e ACLs (documentation)
 pylibacl is a Python interface to the libacl library. It allows
 manipulation of the POSIX.1e-compliant filesystem ACLs present
 in some operating systems (GNU/Linux included).
 .
 This package contains the HTML documentation for the library.

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 include /usr/share/dpkg/buildflags.mk
 
 %:
-	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 # Also build the documentation
 override_dh_auto_build:
@@ -27,13 +27,11 @@
 	$(MAKE) clean
 
 override_dh_strip:
-	dh_strip -ppython-pylibacl --dbg-package=python-pylibacl-dbg
 	dh_strip -ppython3-pylibacl --dbg-package=python3-pylibacl-dbg
 
 override_dh_installdocs:
-	dh_installdocs --link-doc=python-pylibacl -ppython-pylibacl-dbg
 	dh_installdocs --link-doc=python3-pylibacl -ppython3-pylibacl-dbg
-	dh_installdocs -A --remaining-packages README
+	dh_installdocs -A --remaining-packages README.rst
 
 override_dh_installchangelogs:
 	dh_installchangelogs -A NEWS

=== debian/watch ===
# format version number, currently 3; this line is compulsory!
version=3

# the package is located on my own site, github deprecated downloads
opts=pgpsigurlmangle=s/$/.asc/ \
  https://pylibacl.k1024.org/downloads/pylibacl-(.+).tar.gz

## python-pylibacl 0.6.0

=== Makefile ===
PYTHON        = python3
SPHINXOPTS    = -W
SPHINXBUILD   = $(PYTHON) -m sphinx
DOCDIR        = doc
DOCHTML       = $(DOCDIR)/html
DOCTREES      = $(DOCDIR)/doctrees
ALLSPHINXOPTS = -d $(DOCTREES) $(SPHINXOPTS) $(DOCDIR)
VERSION       = 0.6.0
FULLVER       = pylibacl-$(VERSION)
DISTFILE      = $(FULLVER).tar.gz

MODNAME = posix1e.so
RSTFILES = doc/index.rst doc/module.rst doc/news.rst doc/readme.md doc/conf.py

all: doc test

$(MODNAME): acl.c
	$(PYTHON) ./setup.py build_ext --inplace

$(DOCHTML)/index.html: $(MODNAME) $(RSTFILES) acl.c
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(DOCHTML)
	touch $@

doc: $(DOCHTML)/index.html

doc/readme.md: README.md
	ln -s ../README.md doc/readme.md

doc/news.rst: NEWS
	ln -s ../NEWS doc/news.rst

dist:
	fakeroot $(PYTHON) ./setup.py sdist

distcheck: dist
	set -e; \
	TDIR=$$(mktemp -d) && \
	trap "rm -rf $$TDIR" EXIT; \
	tar xzf dist/$(DISTFILE) -C $$TDIR && \
	(cd $$TDIR/$(FULLVER) && make doc && make test && make dist) && \
	echo "All good, you can upload $(DISTFILE)!"

test:
	@set -e; \
	for ver in 3.4 3.5 3.6 3.7 3.8 3.9; do \
	  for flavour in "" "-dbg"; do \
	    if type python$$ver$$flavour >/dev/null; then \
	      echo Testing with python$$ver$$flavour; \
	      python$$ver$$flavour ./setup.py build_ext -i; \
	      python$$ver$$flavour -m pytest tests ;\
	    fi; \
	  done; \
	done; \
	for pp in pypy3; do \
	  if type $$pp >/dev/null; then \
	    echo Testing with $$pp; \
	    $$pp ./setup.py build_ext -i; \
	    $$pp -m pytest tests; \
	  fi; \
	done

fast-test:
	python3 setup.py build_ext -i
	python3 -m pytest tests

ci:
	while inotifywait -e CLOSE_WRITE tests/test_*.py; do \
	  python3 -m pytest tests; \
	done

coverage:
	$(MAKE) clean
	$(MAKE) test CFLAGS="-coverage"
	lcov --capture --no-external --directory . --output-file coverage.info
	genhtml coverage.info --output-directory out

clean:
	rm -rf $(DOCHTML) $(DOCTREES)
	rm -f doc/readme.md doc/news.rst
	rm -f $(MODNAME)
	rm -f *.so
	rm -rf build

types:
	MYPYPATH=. mypy --check-untyped-defs --warn-incomplete-stub tests/test_acls.py

.PHONY: doc test clean dist coverage ci types

=== debian/changelog ===
python-pylibacl (0.6.0-3build1) lunar; urgency=medium

  * Rebuild to drop Python 3.10 extension

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 28 Feb 2023 19:39:46 -0500

python-pylibacl (0.6.0-3) unstable; urgency=medium

  * Re-enable PIE (builds just fine nowadays) (Closes: #986190).
  * Enable LTO builds (Closes: #1015601).
  * Bump standars version to 4.6.2 (no changes).

 -- Iustin Pop <iustin@debian.org>  Fri, 20 Jan 2023 14:01:09 +0100

python-pylibacl (0.6.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + python-pylibacl-doc: Drop versioned constraint on python-pylibacl in
      Replaces.
    + python-pylibacl-doc: Drop versioned constraint on python-pylibacl in
      Breaks.

  [ Iustin Pop ]
  * Drop the debug package; no reverse dependencies, so this is
    straightforward (Closes: #994365).
  * Bump standards version (no changes).

 -- Iustin Pop <iustin@debian.org>  Fri, 26 Nov 2021 13:13:53 +0100

python-pylibacl (0.6.0-1) unstable; urgency=low

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Fix field name case in debian/copyright (Upstream-name => Upstream-Name).

  [ Iustin Pop ]
  * New upstream version, dropping Python 2 support, and with many other
    fixes, see the upstream news file.
  * Workaround issues with 'egg' files, by ignoring them as explained in
    https://wiki.debian.org/Python/FAQ section 4.
  * New standards version 4.5.1, no changes needed.
  * Switch to debhelper v13.

 -- Iustin Pop <iustin@debian.org>  Sun, 29 Nov 2020 03:42:27 +0100

python-pylibacl (0.5.4-3) unstable; urgency=medium

  * Remove python-setuptools dependency, not needed, and allows really
    fixing the Python 2 bug (Closes: #938073).
  * Bump standards version (no changes needed).

 -- Iustin Pop <iustin@debian.org>  Mon, 20 Apr 2020 23:37:21 +0200

=== debian/control ===
Source: python-pylibacl
Section: python
Priority: optional
Maintainer: Iustin Pop <iustin@debian.org>
Build-Depends: debhelper-compat (= 13), dh-python,
 python3-all, python3-all-dev,
 libacl1-dev, python3-setuptools, python3-sphinx
Standards-Version: 4.6.2
Homepage: https://pylibacl.k1024.org/
Vcs-Browser: https://salsa.debian.org/debian/python-pylibacl
Vcs-Git: https://salsa.debian.org/debian/python-pylibacl.git
Rules-Requires-Root: no

Package: python3-pylibacl
Architecture: any
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${python3:Provides}
Suggests: python-pylibacl-doc
Multi-Arch: same
Description: module for manipulating POSIX.1e ACLs (Python3 version)
 pylibacl is a Python interface to the libacl library. It allows
 manipulation of the POSIX.1e-compliant filesystem ACLs present
 in some operating systems (GNU/Linux included).
 .
 This package contains the library for Python 3.

Package: python-pylibacl-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Multi-Arch: foreign
Description: module for manipulating POSIX.1e ACLs (documentation)
 pylibacl is a Python interface to the libacl library. It allows
 manipulation of the POSIX.1e-compliant filesystem ACLs present
 in some operating systems (GNU/Linux included).
 .
 This package contains the HTML documentation for the library.

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 export PYBUILD_NAME = pylibacl
 export PYBUILD_DISABLE = test
 
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 
@@ -27,11 +27,10 @@
 	$(MAKE) clean
 
 override_dh_strip:
-	dh_strip -ppython3-pylibacl --dbg-package=python3-pylibacl-dbg
+	dh_strip -ppython3-pylibacl
 
 override_dh_installdocs:
-	dh_installdocs --link-doc=python3-pylibacl -ppython3-pylibacl-dbg
-	dh_installdocs -A --remaining-packages README.rst
+	dh_installdocs -A --remaining-packages README.md
 
 override_dh_installchangelogs:
 	dh_installchangelogs -A NEWS

## python-pylibacl 0.7.0

=== Makefile ===
--- 
+++ 
@@ -5,29 +5,23 @@
 DOCHTML       = $(DOCDIR)/html
 DOCTREES      = $(DOCDIR)/doctrees
 ALLSPHINXOPTS = -d $(DOCTREES) $(SPHINXOPTS) $(DOCDIR)
-VERSION       = 0.6.0
+VERSION       = 0.7.0
 FULLVER       = pylibacl-$(VERSION)
 DISTFILE      = $(FULLVER).tar.gz
 
 MODNAME = posix1e.so
-RSTFILES = doc/index.rst doc/module.rst doc/news.rst doc/readme.md doc/conf.py
+DOCFILES = doc/index.rst doc/module.rst doc/news.md doc/readme.md doc/conf.py
 
 all: doc test
 
 $(MODNAME): acl.c
 	$(PYTHON) ./setup.py build_ext --inplace
 
-$(DOCHTML)/index.html: $(MODNAME) $(RSTFILES) acl.c
+$(DOCHTML)/index.html: $(MODNAME) $(DOCFILES) acl.c
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(DOCHTML)
 	touch $@
 
 doc: $(DOCHTML)/index.html
-
-doc/readme.md: README.md
-	ln -s ../README.md doc/readme.md
-
-doc/news.rst: NEWS
-	ln -s ../NEWS doc/news.rst
 
 dist:
 	fakeroot $(PYTHON) ./setup.py sdist
@@ -42,7 +36,7 @@
 
 test:
 	@set -e; \
-	for ver in 3.4 3.5 3.6 3.7 3.8 3.9; do \
+	for ver in 3.7 3.8 3.9 3.10 3.11 3.12; do \
 	  for flavour in "" "-dbg"; do \
 	    if type python$$ver$$flavour >/dev/null; then \
 	      echo Testing with python$$ver$$flavour; \
@@ -76,7 +70,6 @@
 
 clean:
 	rm -rf $(DOCHTML) $(DOCTREES)
-	rm -f doc/readme.md doc/news.rst
 	rm -f $(MODNAME)
 	rm -f *.so
 	rm -rf build

=== debian/changelog ===
python-pylibacl (0.7.0-2build2) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:17:24 +0200

python-pylibacl (0.7.0-2build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 31 Oct 2023 17:50:59 +0000

python-pylibacl (0.7.0-2) unstable; urgency=medium

  * Disable an unsafe upstream test since it causes segfaults on (at
    least) s390x; similar tests were fixed to workaround the issue, but
    this one was missed.

 -- Iustin Pop <iustin@debian.org>  Mon, 24 Apr 2023 18:58:03 +0200

python-pylibacl (0.7.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Fix field name case in debian/copyright (Upstream-contact ⇒
    Upstream-Contact).

  [ Iustin Pop ]
  * New (minor) upstream release (error handling improvements, testing
    improvements, adopt to more modern Python guidelines).
  * Fix autopkgtests to actually run the upstream tests, and that it will
    always used the installed version, no matter which flavour of sources
    is passed to autopkg. Sigh.

 -- Iustin Pop <iustin@debian.org>  Sun, 23 Apr 2023 23:09:07 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: python-pylibacl
 Section: python
 Priority: optional
-Maintainer: Iustin Pop <iustin@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Iustin Pop <iustin@debian.org>
 Build-Depends: debhelper-compat (= 13), dh-python,
  python3-all, python3-all-dev,
- libacl1-dev, python3-setuptools, python3-sphinx
+ libacl1-dev, python3-setuptools,
+ python3-sphinx, python3-recommonmark
 Standards-Version: 4.6.2
 Homepage: https://pylibacl.k1024.org/
 Vcs-Browser: https://salsa.debian.org/debian/python-pylibacl

## python-pylibacl 0.7.2

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 DOCHTML       = $(DOCDIR)/html
 DOCTREES      = $(DOCDIR)/doctrees
 ALLSPHINXOPTS = -d $(DOCTREES) $(SPHINXOPTS) $(DOCDIR)
-VERSION       = 0.7.0
+VERSION       = 0.7.2
 FULLVER       = pylibacl-$(VERSION)
 DISTFILE      = $(FULLVER).tar.gz

=== debian/changelog ===
python-pylibacl (0.7.2-1build1) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 14:09:04 +0000

python-pylibacl (0.7.2-1) unstable; urgency=medium

  * New upstream version(s), mainly without user-visible changes, but
    fixing the typing module and adding more tests.
  * Bump standards version (no changes needed).
  * Remove inline shields.io badges from the documentation, so that it's
    fully offline readable.

 -- Iustin Pop <iustin@debian.org>  Sun, 23 Feb 2025 23:39:44 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: python-pylibacl
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Iustin Pop <iustin@debian.org>
+Maintainer: Iustin Pop <iustin@debian.org>
 Build-Depends: debhelper-compat (= 13), dh-python,
  python3-all, python3-all-dev,
  libacl1-dev, python3-setuptools,
- python3-sphinx, python3-recommonmark
-Standards-Version: 4.6.2
+ python3-sphinx, python3-myst-parser
+Standards-Version: 4.7.0
 Homepage: https://pylibacl.k1024.org/
 Vcs-Browser: https://salsa.debian.org/debian/python-pylibacl
 Vcs-Git: https://salsa.debian.org/debian/python-pylibacl.git

=== debian/rules ===
--- 
+++ 
@@ -33,4 +33,4 @@
 	dh_installdocs -A --remaining-packages README.md
 
 override_dh_installchangelogs:
-	dh_installchangelogs -A NEWS
+	dh_installchangelogs -A NEWS.md

=== debian/tests/control ===
Tests: simple run-testsuite-if-acls-enabled
Depends: @, acl, python3-pytest
Restrictions: allow-stderr

=== debian/watch ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # format version number, currently 3; this line is compulsory!
-version=3
+version=4
 
 # the package is located on my own site, github deprecated downloads
 opts=pgpsigurlmangle=s/$/.asc/ \
